#-----------------------------------------------------------------------------
%{?!dist:	%define		dist	.ok}
%bcond		test		0
%global		debug_package	%{nil}
%define		__python	/usr/bin/python3
%define		sname		%(echo %{name} | cut -d '-' -f2)
%define		svers		%(echo %{version} | sed -e 's/^.//')
#-----------------------------------------------------------------------------
Name		:	python3-hatchling
Version		:	v1.14.1
Release		:	17.0.10.rel%{?dist}
Summary		:	The build backend used by Hatch

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	MIT
URL		:	https://github.com/pypa/hatch

Source0		:	%{sname}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	python3
BuildRequires	:	python-build
BuildRequires	:	python3-editables
BuildRequires	:	python3-pathspec
BuildRequires	:	python3-pluggy
BuildRequires	:	python-trove-classifiers


%if %{with test}
BuildRequires	:	python-packaging
BuildRequires	:	python-pep517
#BuildRequires	:	python-installer
#BuildRequires	:	python-pyparsing
#BuildRequires	:	python3-tomli
%endif

#-----------------------------------------------------------------------------
%description
This is the extensible, standards compliant build backend used by Hatch

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc README.md
%license backend/LICENSE.txt
%{_bindir}/%{sname}
%{python3_sitelib}/%{sname}/py.typed
%{python3_sitelib}/%{sname}/*.py
%{python3_sitelib}/%{sname}/__pycache__/*.pyc
%{python3_sitelib}/%{sname}/bridge/*.py
%{python3_sitelib}/%{sname}/bridge/__pycache__/*.pyc
%{python3_sitelib}/%{sname}/builders/*.py
%{python3_sitelib}/%{sname}/builders/__pycache__/*.pyc
%{python3_sitelib}/%{sname}/builders/hooks/*.py
%{python3_sitelib}/%{sname}/builders/hooks/__pycache__/*.pyc
%{python3_sitelib}/%{sname}/builders/hooks/plugin/*.py
%{python3_sitelib}/%{sname}/builders/hooks/plugin/__pycache__/*.pyc
%{python3_sitelib}/%{sname}/builders/plugin/*.py
%{python3_sitelib}/%{sname}/builders/plugin/__pycache__/*.pyc
%{python3_sitelib}/%{sname}/cli/*.py
%{python3_sitelib}/%{sname}/cli/__pycache__/*.pyc
%{python3_sitelib}/%{sname}/cli/build/*.py
%{python3_sitelib}/%{sname}/cli/build/__pycache__/*.pyc
%{python3_sitelib}/%{sname}/cli/dep/*.py
%{python3_sitelib}/%{sname}/cli/dep/__pycache__/*.pyc
%{python3_sitelib}/%{sname}/cli/metadata/*.py
%{python3_sitelib}/%{sname}/cli/metadata/__pycache__/*.pyc
%{python3_sitelib}/%{sname}/cli/version/*.py
%{python3_sitelib}/%{sname}/cli/version/__pycache__/*.pyc
%{python3_sitelib}/%{sname}/dep/*.py
%{python3_sitelib}/%{sname}/dep/__pycache__/*.pyc
%{python3_sitelib}/%{sname}/licenses/*.py
%{python3_sitelib}/%{sname}/licenses/__pycache__/*.pyc
%{python3_sitelib}/%{sname}/metadata/*.py
%{python3_sitelib}/%{sname}/metadata/__pycache__/*.pyc
%{python3_sitelib}/%{sname}/metadata/plugin/*.py
%{python3_sitelib}/%{sname}/metadata/plugin/__pycache__/*.pyc
%{python3_sitelib}/%{sname}/plugin/*.py
%{python3_sitelib}/%{sname}/plugin/__pycache__/*.pyc
%{python3_sitelib}/%{sname}/version/*.py
%{python3_sitelib}/%{sname}/version/__pycache__/*.pyc
%{python3_sitelib}/%{sname}/version/source/*.py
%{python3_sitelib}/%{sname}/version/source/__pycache__/*.pyc
%{python3_sitelib}/%{sname}/version/source/plugin/*.py
%{python3_sitelib}/%{sname}/version/source/plugin/__pycache__/*.pyc
%{python3_sitelib}/%{sname}/version/scheme/*.py
%{python3_sitelib}/%{sname}/version/scheme/__pycache__/*.pyc
%{python3_sitelib}/%{sname}/version/scheme/plugin/*.py
%{python3_sitelib}/%{sname}/version/scheme/plugin/__pycache__/*.pyc
%{python3_sitelib}/%{sname}/utils/*.py
%{python3_sitelib}/%{sname}/utils/__pycache__/*.pyc
%{python3_sitelib}/%{sname}-%{svers}.dist-info/

#=============================================================================
%prep
%setup -q -n hatch-%{sname}-%{version}

#-----------------------------------------------------------------------------
#building application
%build

%{__python}						\
	-m build					\
	--wheel						\
	--no-isolation					\
	backend

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__python}						\
	-m installer					\
	--destdir=%{buildroot}				\
	backend/dist/*.whl

#-----------------------------------------------------------------------------
%changelog
